: Class Atom

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## calypso.util
Class Atom

    java.lang.Object
      |
      +--calypso.util.Atom

public final class Atom
extends java.lang.Object

Atom's are unique objects that you can use the object address to perform equality tests. This class accepts variants on String's to create the Atom's from.

Constructor Summary
`protected` | `Atom(java.lang.String aString, int aHashCode)` Private constructor used by static allocators.

Method Summary
`boolean` | `equals(java.lang.Object aObject)`
`protected void` | `finalize()`
`static Atom` | `Find(java.lang.String aString)` Find the atom for the given argument string.
`static Atom` | `Find(StringBuf aString)` Find the atom for the given argument string.
`static Atom` | `ForObject(java.lang.Object aObject)`
`int` | `hashCode()`
`java.lang.String` | `toString()`
`static Atom` | `UniqueAtom(java.lang.String aPrefix)`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Atom

    protected Atom(java.lang.String aString,
                   int aHashCode)

  Private constructor used by static allocators.

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

### hashCode

    public int hashCode()

  Overrides:
    hashCode in class java.lang.Object

### equals

    public boolean equals(java.lang.Object aObject)

  Overrides:
    equals in class java.lang.Object

### finalize

    protected void finalize()
                     throws java.lang.Throwable

  Overrides:
    finalize in class java.lang.Object

### ForObject

    public static Atom ForObject(java.lang.Object aObject)

### Find

    public static Atom Find(java.lang.String aString)

  Find the atom for the given argument string. If the atom doesn't already exist then it is created.

### Find

    public static Atom Find(StringBuf aString)

  Find the atom for the given argument string. If the atom doesn't already exist then it is created.

### UniqueAtom

    public static Atom UniqueAtom(java.lang.String aPrefix)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD